> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Salesforce integration authentication details

> Upsert Salesforce integration authentication details



## OpenAPI

````yaml put /v1/core/integrations/salesforce
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/integrations/salesforce:
    put:
      summary: Upsert Salesforce integration authentication details
      description: Upsert Salesforce integration authentication details
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                namespace:
                  type: string
                org_id:
                  type: string
                instance_url:
                  type: string
                refresh_token:
                  type: string
                  default: ''
                  description: >-
                    Deprecated -- Username for JWT Bearer OAuthflow should be
                    used going forward
                username:
                  type: string
                  description: Username for JWT Bearer OAuth flow
                is_prod:
                  type: boolean
                  nullable: true
                use_prod_eca:
                  type: boolean
                  nullable: true
              required:
                - namespace
                - org_id
                - instance_url
      responses:
        '200':
          description: Upsert Salesforce integration authentication details
          content:
            application/json:
              schema:
                type: object
                properties:
                  integrationConnectionId:
                    type: string
                  isActive:
                    type: boolean
                required:
                  - integrationConnectionId
                  - isActive
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````